#include <stdio.h>
#include <conio.h>

__int64 a[41][41]={{0}};

__int64 f(int n,int k)
{
	__int64 res = 0;
	if(a[n][k]>0) return a[n][k];
	if(k==0) return 1;
	if(k==1) return n;
	for(int i=n;i>0;i--)
		res+=f(i,k-1);
	a[n][k]=res;
	return res;
}
int main()
{
	int i,n,m,x=1;
	scanf("%d:%d",&n,&m);
	if(n<m) {i=n;n=m;m=i;}
	if(m>23) 
	{
		for(i=0;i<m-24;i++) x*=2;
		printf("%I64d",f(25,24)*x);
	}
	else printf("%I64d",f(n,m)*x);
//	getch();
 	return 0;
}